Bug 32868 - [SNB libva IA44/AI44] the color of subpicture is wrong with the latest mplayer
[SNB libva IA44/AI44] the color of subpicture is wrong with the latest mplayer
Status: VERIFIED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/intel
unspecified
x86 (IA32) Linux (All)
: medium normal
Assigned To: haihao
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-06 00:36 UTC by Hai
Modified: 2011-01-10 21:17 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hai 2011-01-06 00:36:19 UTC
System Environment:
--------------------------
Libdrm:        (master)2.4.23-4-gbad5242a59aa8e31cf10749e2ac69b3c66ef7da0
Mesa:        (7.10)612e26e82c60809ab9c81213f39fbe527284af9f
Xserver:   
(server-1.9-branch)xorg-server-1.9.3-6-ga2c674b75d3b1a663bece6f6e2e34c3e71e6be55
Xf86_video_intel:   
(master)2.13.902-5-g1ac2e04023f84dbf1f3db2ecad1cadd159aa614d
Cairo:        (master)cf0a4ed862d93b7e6d7d26942cfe98a50beccd4c
Kernel:    (drm-intel-next) 8d5203ca62539c6ab36a5bc2402c2de1de460e30
CPU: SNB

Bug detailed description:
-------------------------
when use the mplayer to play an media file with vaapi acceleration, the color of  subpicture is wrong. The reson is that the latest mplayer(2010-11-15) has enabled IA44/AI44 subpicture formats but SNB has not implemented IA44/AI44.

Reproduce steps:
-------------------------
mplayer -vo vaapi -va vaapi mediafile
then use left or wrght button to seek.
Comment 1 Hai 2011-01-06 21:18:49 UTC
Currently mplayer-vaapi-latest-FULL.tar.bz2 in
http://www.splitted-desktop.com/~gbeauchesne/mplayer-vaapi/
is the version of 2010-07-13 which has disabled IA44/AI44. But in the version of 2010-11-15, it has enabled IA44/AI44.
Comment 2 haihao 2011-01-09 18:25:37 UTC
commit aa7a8a0b05d25f9daedaa3c1e7dd5fa360dd28cd
Author: Xiang, Haihao <haihao.xiang@intel.com>
Date:   Mon Jan 10 10:19:00 2011 +0800

    i965_drv_video: support IA44/AI44 subpicture formats on Sandybridge
Comment 3 Hai 2011-01-10 21:17:52 UTC
Verified with
Libdrm:		(master)2.4.23-4-gbad5242a59aa8e31cf10749e2ac69b3c66ef7da0
Mesa:		(master)9d33e4e16c8d2271ef2a965d7210a9aee40680d2
Xserver:		(master)xorg-server-1.9.99.901-94-g6358a60065eef167d4e5f4afd981ff26deeba80d
Xf86_video_intel:		(master)2.14.0-7-gfd9235ebe03a01982238cdd6e8b55f613e14b6af
Kernel:	(drm-intel-next) 34da1327c3814781925396fa10c42f596588ff76
libva: aa7a8a0b05d25f9daedaa3c1e7dd5fa360dd28cd